#include <iostream>
#include <bits/stdc++.h>
using namespace std;


int main()
{
    int n,m;
    cin>>n>>m;
    vector<int>l(m),r(m),x(m);
    vector<int>d(n),u(n);
    vector<int>z(m+1);
    for(int i=1; i<n+1; i++){
        cin>>d[i]>>u[i];}
    for(int j=1; j<m+1; j++){
        cin>>l[j]>>r[j]>>x[j];
        for(int k=l[j]; k<r[j]+1; k++)
            if(d[k]<=x[j] && x[j]<=u[k])
                z[j]+=1;}
    for(int f=1; f<m+1; f++)
        cout<<z[f]<<endl;
    return 0;
}